# Ogre::RenderPriorityGroup::RenderablePass Struct Reference

Internal struct reflecting a single Pass for a Renderable. More...

List of all members.

## Public Member Functions

| RenderablePass (Renderable *rend, Pass *p)

## Public Attributes

Renderable * | renderable
| Pointer to the Renderable details.
Pass * | pass
| Pointer to the Pass.

## Detailed Description

Internal struct reflecting a single Pass for a Renderable.

This is used to sort transparent objects.

Definition at line 55 of file OgreRenderQueueSortingGrouping.h.

## Constructor & Destructor Documentation

Ogre::RenderPriorityGroup::RenderablePass::RenderablePass | ( | Renderable * | rend,
|  | Pass * | p
| ) |

| Definition at line 62 of file OgreRenderQueueSortingGrouping.h.

## Member Data Documentation

Pass* Ogre::RenderPriorityGroup::RenderablePass::pass

| Pointer to the Pass. Definition at line 60 of file OgreRenderQueueSortingGrouping.h. Referenced by Ogre::RenderPriorityGroup::TransparentQueueItemLess::operator()().

Renderable* Ogre::RenderPriorityGroup::RenderablePass::renderable

| Pointer to the Renderable details. Definition at line 58 of file OgreRenderQueueSortingGrouping.h. Referenced by Ogre::RenderPriorityGroup::TransparentQueueItemLess::operator()().

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:02:24 2006